#pragma once

#include <filesystem>

using Path = std::filesystem::path;

class OpenGlShaderProgram
{
public:
    OpenGlShaderProgram(const Path& vertShaderPath, const Path& fragShaderPath);

    unsigned int getHandle() const;
private:
    unsigned int mHandle{0};
};
